// Условные операторы

// --------------------------------------------------------------------------------------------------------------
// 1. Если переменная равна "hidden", присвоить ей значение "visible", иначе - "hidden".
// --------------------------------------------------------------------------------------------------------------
let visibility = 'hidden'; // for example

if (visibility === 'hidden') {
    visibility = 'visible'
} else {
    visibility = 'hidden'
}

console.log(visibility); // visible

// --------------------------------------------------------------------------------------------------------------
// 2. Записать то же самое условие тернарным оператором.
// --------------------------------------------------------------------------------------------------------------
let block = 'hidden'; // for example
block = block === 'hidden' ? 'visible' : 'hidden';
console.log(block); // visible

// --------------------------------------------------------------------------------------------------------------
// 3. Используя if, записать условие
//    3.1. если переменная равна нулю, присвоить ей 1
//    3.2. если меньше нуля - строку "less then zero"
//    3.3. если больше нуля - используя оператор "присвоение", переменную умножить на 10 (использовать короткую запись)
// Решить эту же задачу тернарным оператором
// --------------------------------------------------------------------------------------------------------------
let a = -1;

if (a === 0) {
    a = 1;
} else if ( a < 0) {
    a = 'less then zero';
} else {
    a *= 10;
}

console.log(a); // less then zero

let b = 100;
b = !b ? 1 :
    b < 0 ? 'less then zero' :
        b * 10;
console.log(b); // less then zero
